#include<stdio.h>
#include<math.h>
int main(){
	unsigned long long int k,broj,zamenski;
	int broj_novc;
	
	broj_novc=0;	
	
	scanf("%d",&broj);
	
	
	while (broj!=0){
		zamenski=broj;
		k=0;
		while(zamenski!=0){
			
			zamenski=zamenski/10;
			k++;
		}
		
		
		if(broj>5*pow(10,k-1)){
			broj=broj-(5*pow(10,k-1));
			broj_novc++;
			
		}
		
		
		while(broj>2*pow(10,k-1)){
				
			
			broj=broj-(2*pow(10,k-1));
			broj_novc++;
		}
		
		
		if(broj>pow(10,k-1)){
			broj=broj-(pow(10,k-1));
			broj_novc++;
		}
		
		
	}
		printf("%d",broj_novc);
	
}